/*
 *  Copyright (C) 2004 Morten Fjord-Larsen
 *
 *  $Id: about.c,v 1.1.1.1 2004/04/26 23:58:50 fjord Exp $
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

void about_dialog_display()
{
    /*
     * struct      GnomeAbout;
GtkWidget*  gnome_about_new                 (const gchar *name,
                                             const gchar *version,
                                             const gchar *copyright,
                                             const gchar *comments,
                                             const gchar **authors,
                                             const gchar **documenters,
                                             const gchar *translator_credits,
                                             GdkPixbuf *logo_pixbuf);
					     */

    GnomeAbout *about;

    gchar *authors[2];
    authors[0] = _("Morten Fjord-Larsen");
    authors[1] = NULL;

    about = gnome_about_new(_("Password Manager"), VERSION, 
	    		    "Copyright (c) 2004 Morten Fjord-Larsen",
			    _("A simple password manager for the GNOME desktop"),
			    authors,
			    NULL,
			    NULL,
			    NULL);

    gtk_widget_show_all(GTK_WIDGET(about));
}
